Return the controlled state and active immutable artifact descriptor.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/ui-project/runtime"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/ui-project/runtime';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/ui-project/runtime \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Authenticated Workspace UI runtime descriptor.
object
Descriptor format version.
Optional safe machine-readable diagnostic code.
Identity and compatibility metadata of the active Workspace UI artifact.
object
Artifact identifier.
Combined JavaScript and CSS hash.
Content-derived compilation identifier.
Source revision checksum.
Moltaro release identity that produced the artifact.
Workspace UI host contract version.
Workspace UI host contract fingerprint.
Pinned runtime dependency versions.
object
One immutable Workspace UI browser asset.
object
Root-relative content-addressed asset path.
Lowercase SHA-256 content hash.
SHA-256 subresource integrity value.
Asset size in bytes.
One immutable Workspace UI browser asset.
object
Root-relative content-addressed asset path.
Lowercase SHA-256 content hash.
SHA-256 subresource integrity value.
Asset size in bytes.
Pages exposed by the active artifact.
One page exposed by the active Workspace UI artifact.
object
Stable page key.
Artifact-local title localization key.
MDI icon name.
Permission keys required to render the page.
Deterministic page and overlay CSS scope.
Runtime route metadata for one Workspace UI page.
object
Normalized relative route pattern.
Named required parameters in route order.
Locales embedded in the active artifact.
One locale embedded in the active Workspace UI artifact.
object
Supported locale code.
Locale source SHA-256 hash.
Flattened message key count.
Embeddable components exposed by the active artifact; empty when none are registered.
One embeddable component exposed by the active Workspace UI artifact.
object
Stable component key.
Artifact-local title localization key.
MDI icon name.
Native placements the component supports.
Permission keys required to render the component.
Deterministic component and overlay CSS scope.
Declared form bindings of a FormItem component; empty for other placements.
One form binding declared by an embeddable component for the FormItem placement.
object
Binding name used as the key of the component’s form context; lowercase kebab-case.
Entity field types Constructor may map to this binding.
Whether Constructor may leave the binding unmapped.
object
object
object
object
Example
{ "Data": { "Status": 0, "Pages": [ { "Layout": 0 } ], "Components": [ { "Placements": [ 0 ], "FormBindings": [ { "FieldTypes": [ 0 ], "Access": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}